<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Fetch API Demo</title>
</head>

<body>
    <script>
        // "Klassikaline" lähenemine
        // console.log('Alustame fetch() päringut...');
        // fetch('http://68.183.77.163:8110/companies')
        //     .then(
        //         function (response) {
        //             return response.json();
        //         }    
        //     ) // võta tekst ja konverdi see JS objektiks
        //     .then(
        //         function(companies) {
        //             console.log('Minu ettevõtted:', companies);
        //         }
        //     )
        //     .catch(error) {
        //         console.log('mingi jama!');
        //     }
        // console.log('Mina asun fetch() meetodi järel.');

        // Moodne ja äge lahendus (async, await keywords)
        // async function loadAllCompanies() {
        //     try {
        //         let response = await fetch('http://68.183.77.163:8110/companies');
        //         let companies = await response.json();
        //         return companies;
        //     } catch(e) {
        //         console.log('Kuskil mingi jama!', e);
        //     }
        // }

        // async function printCompanies() {
        //     let companies = await loadAllCompanies();
        //     console.log('Async/await meetodil saadud ettevõtted:');
        //     console.log(companies);
        // }

        // console.log('ENNE calli');
        // printCompanies();
        // console.log('PÄRAST calli');

        async function addCompany(company) {
            let result = await fetch('http://68.183.77.163:8110/companies', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify(company)
            });
            console.log('Ettevõte lisatud!');
        }

        async function deleteCompany(id) {
            let result = await fetch('http://68.183.77.163:8110/companies/' + id, {
                method: 'DELETE'
            });
        }

        let myOwnCompany = {
            "id": 21,
            "name": "Marek Vali IT",
            "logo": "asdfasdfasfsd",
            "established": "2005-08-12",
            "employees": 569
        };
        // addCompany(myOwnCompany);
        deleteCompany(21);
    </script>
</body>

</html>